/*
DESCRIPTION:
Any functions that are used internally by the use-case
*/
package village

import (
	e "simrs-vx/internal/domain/main-entities/village"
)

func setData[T *e.CreateDto | *e.UpdateDto](input T, data *e.Village) {
	var inputSrc *e.CreateDto
	if inputT, ok := any(input).(*e.CreateDto); ok {
		inputSrc = inputT
	} else {
		inputTemp := any(input).(*e.UpdateDto)
		inputSrc = &inputTemp.CreateDto
	}
	data.District_Code = inputSrc.District_Code
	data.Code = *inputSrc.Code
	data.Name = inputSrc.Name
}
